import 'package:yumi/shared/business_logic/models/res/login_res.dart';

class MessageFriendUserRes{
  SocialChatLoginRes({
    String? id,
    SocialChatUserProfile? userProfile,

  }) {
    _userProfile = userProfile;
    _id = id;
  }

  MessageFriendUserRes.fromJson(dynamic json) {
    _id = json['id'];
    _userProfile =
    json['userProfile'] != null
        ? SocialChatUserProfile.fromJson(json['userProfile'])
        : null;
  }
  SocialChatUserProfile? _userProfile;
  String? _id;


  String? get id => _id;
  SocialChatUserProfile? get userProfile => _userProfile;


  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = _id;
    if (_userProfile != null) {
      map['userProfile'] = _userProfile?.toJson();
    }
    return map;
  }

  void setUserProfile(SocialChatUserProfile userInfo) {
    _userProfile = userInfo;
  }
}